Bug 199973 - Add accessibilityInsertText for text insertion in edit fields.
Summary: Add accessibilityInsertText for text insertion in edit fields.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-19 17:16 PDT by Andres Gonzalez
Modified: 2019-07-21 15:15 PDT (History)
11 users (show)

See Also:


Attachments
Patch (17.51 KB, patch)
2019-07-19 17:33 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Patch (16.00 KB, patch)
2019-07-19 18:31 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-highsierra (3.33 MB, application/zip)
2019-07-19 19:27 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (3.13 MB, application/zip)
2019-07-19 20:43 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews210 for win-future (13.66 MB, application/zip)
2019-07-19 20:46 PDT, Build Bot
no flags Details
Patch (21.68 KB, patch)
2019-07-20 09:52 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Patch (21.72 KB, patch)
2019-07-20 11:02 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews210 for win-future (13.38 MB, application/zip)
2019-07-20 13:02 PDT, Build Bot
no flags Details
Patch (22.45 KB, patch)
2019-07-20 13:12 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Patch (9.01 KB, patch)
2019-07-21 10:13 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Patch (8.92 KB, patch)
2019-07-21 13:42 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andres Gonzalez 2019-07-19 17:16:03 PDT
Add accessibilityInsertText for text insertion in edit fields.
Comment 1 Andres Gonzalez 2019-07-19 17:33:41 PDT
Created attachment 374529 [details]
Patch
Comment 2 chris fleizach 2019-07-19 17:39:17 PDT
Comment on attachment 374529 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=374529&action=review

> Source/WebCore/accessibility/AccessibilityObject.cpp:2289
> +    if (element.shouldUseInputMethod()) {

we should do early return styleher

if (!element.shouldUseInputMethod())
    return false;

> Source/WebCore/accessibility/AccessibilityObject.h:717
> +    bool insertText(const String& text);

no need to name parameter here

> LayoutTests/accessibility/insert-newline.html:16
> +        content.focus();

is this the same exact test on iOS? if so we can probably share it  in accessibility folder and skip on other platforms
Comment 3 Andres Gonzalez 2019-07-19 18:31:21 PDT
Created attachment 374534 [details]
Patch
Comment 4 Andres Gonzalez 2019-07-19 18:32:53 PDT
All comments addressed. Thanks.
Comment 5 chris fleizach 2019-07-19 18:38:49 PDT
Comment on attachment 374534 [details]
Patch

We probably need to skip this on gtk and friends
Comment 6 Build Bot 2019-07-19 19:27:16 PDT
Comment on attachment 374534 [details]
Patch

Attachment 374534 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12777379

New failing tests:
accessibility/insert-newline.html
Comment 7 Build Bot 2019-07-19 19:27:17 PDT
Created attachment 374537 [details]
Archive of layout-test-results from ews102 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 8 Build Bot 2019-07-19 20:43:03 PDT
Comment on attachment 374534 [details]
Patch

Attachment 374534 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12777526

New failing tests:
accessibility/insert-newline.html
Comment 9 Build Bot 2019-07-19 20:43:11 PDT
Created attachment 374538 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 10 Build Bot 2019-07-19 20:46:28 PDT
Comment on attachment 374534 [details]
Patch

Attachment 374534 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12777561

New failing tests:
accessibility/insert-newline.html
Comment 11 Build Bot 2019-07-19 20:46:30 PDT
Created attachment 374540 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 12 Andres Gonzalez 2019-07-20 09:52:15 PDT
Created attachment 374556 [details]
Patch
Comment 13 Andres Gonzalez 2019-07-20 10:43:13 PDT
<rdar://problem/52146108> When composing a reply to an email with a braille display's keyboard', the cursor will often jump around
Comment 14 Andres Gonzalez 2019-07-20 11:02:36 PDT
Created attachment 374558 [details]
Patch
Comment 15 Build Bot 2019-07-20 13:02:12 PDT
Comment on attachment 374558 [details]
Patch

Attachment 374558 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12780641

New failing tests:
accessibility/insert-newline.html
Comment 16 Build Bot 2019-07-20 13:02:15 PDT
Created attachment 374561 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 17 Andres Gonzalez 2019-07-20 13:12:12 PDT
Created attachment 374562 [details]
Patch
Comment 18 ews-feeder 2019-07-20 14:34:12 PDT
Comment on attachment 374562 [details]
Patch

Rejecting attachment 374562 [details] from review queue.

andresg_22@apple.com does not have reviewer permissions according to https://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have reviewer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have reviewer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your reviewer rights.
Comment 19 WebKit Commit Bot 2019-07-20 15:04:16 PDT
Comment on attachment 374562 [details]
Patch

Clearing flags on attachment: 374562

Committed r247671: <https://trac.webkit.org/changeset/247671>
Comment 20 WebKit Commit Bot 2019-07-20 15:04:18 PDT
All reviewed patches have been landed.  Closing bug.
Comment 21 Andres Gonzalez 2019-07-21 10:13:24 PDT
Reopening to attach new patch.
Comment 22 Andres Gonzalez 2019-07-21 10:13:25 PDT
Created attachment 374570 [details]
Patch
Comment 23 Andres Gonzalez 2019-07-21 13:42:18 PDT
Created attachment 374578 [details]
Patch
Comment 24 WebKit Commit Bot 2019-07-21 15:15:25 PDT
Comment on attachment 374578 [details]
Patch

Clearing flags on attachment: 374578

Committed r247677: <https://trac.webkit.org/changeset/247677>
Comment 25 WebKit Commit Bot 2019-07-21 15:15:27 PDT
All reviewed patches have been landed.  Closing bug.